Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class PatternFilter

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableFilter
                  |
                  +--ru.biosoft.access.PatternFilter

public abstract class PatternFilter
extends MutableFilter

Abstract filter to check some `DataElement` property to correspond pattern defined by Perl5 regular expression.

Constructor Summary
`PatternFilter()`

Method Summary
`abstract String` | `getCheckedProperty(DataElement de)` This method should be implemented in subclasses to return property value that should match the pattern.
`String` | `getPattern()`
`boolean` | `isAcceptable(DataElement de)`
`boolean` | `isAcceptEmpty()`
`void` | `setAcceptEmpty(boolean acceptEmpty)`
`void` | `setPattern(String pattern)`

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PatternFilter

    public PatternFilter()

Method Detail

### getCheckedProperty

    public abstract String getCheckedProperty(DataElement de)

  This method should be implemented in subclasses to return property value that should match the pattern.
  Parameters:
    de - expected `DataElement`

### getPattern

    public String getPattern()

### isAcceptable

    public boolean isAcceptable(DataElement de)

### isAcceptEmpty

    public boolean isAcceptEmpty()

### setAcceptEmpty

    public void setAcceptEmpty(boolean acceptEmpty)

### setPattern

    public void setPattern(String pattern)

Association Links

to Class org.apache.oro.text.perl.Perl5Util

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM